# Uses of Enum Class
org.eclipse.emf.cdo.common.CDOCommonRepository.ListOrdering

Packages that use CDOCommonRepository.ListOrdering
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonRepository.ListOrdering in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommonRepository.ListOrdering
Modifier and Type
Method
Description
`static CDOCommonRepository.ListOrdering`
CDOCommonRepository.ListOrdering.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonRepository.ListOrdering[]`
CDOCommonRepository.ListOrdering.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CDOCommonRepository.ListOrdering in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOCommonRepository.ListOrdering
Modifier and Type
Method
Description
`CDOCommonRepository.ListOrdering`
DefaultCDOMerger.`getListOrdering()`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOCommonRepository.ListOrdering
Modifier
Constructor
Description
``
`DefaultCDOMerger(CDOCommonRepository.ListOrdering listOrdering)`
``
`DefaultCDOMerger(DefaultCDOMerger.ResolutionPreference resolutionPreference, CDOCommonRepository.ListOrdering listOrdering)`